Package org.apache.calcite.avatica

## Class MetaImpl.MetaBestRowIdentifier

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaBestRowIdentifier

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaBestRowIdentifier
    extends java.lang.Object

Metadata describing the best identifier for a row.

### Field Summary

Fields
`java.lang.Integer` `bufferLength`
`java.lang.String` `columnName`
`java.lang.Integer` `columnSize`
`int` `dataType`
`java.lang.Short` `decimalDigits`
`short` `pseudoColumn`
`short` `scope`
`java.lang.String` `typeName`

### Constructor Summary

Constructors
`MetaBestRowIdentifier​(short scope, java.lang.String columnName, int dataType, java.lang.String typeName, java.lang.Integer columnSize, java.lang.Short decimalDigits, short pseudoColumn)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scope

    public final short scope

#### columnName

    public final java.lang.String columnName

#### dataType

    public final int dataType

#### typeName

    public final java.lang.String typeName

#### columnSize

    public final java.lang.Integer columnSize

#### bufferLength

    public final java.lang.Integer bufferLength

#### decimalDigits

    public final java.lang.Short decimalDigits

#### pseudoColumn

    public short pseudoColumn

### Constructor Detail

#### MetaBestRowIdentifier

    public MetaBestRowIdentifier​(short scope,
                                 java.lang.String columnName,
                                 int dataType,
                                 java.lang.String typeName,
                                 java.lang.Integer columnSize,
                                 java.lang.Short decimalDigits,
                                 short pseudoColumn)